/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
'use strict';
const definitionProviderBase_1 = require("./definitionProviderBase");
class TypeScriptImplementationProvider extends definitionProviderBase_1.default {
    constructor(client) {
        super(client);
    }
    provideImplementation(document, position, token) {
        return this.getSymbolLocations('implementation', document, position, token);
    }
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = TypeScriptImplementationProvider;

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/653f8733dd5a5c43d66d7168b4701f94d72b62e5/extensions/typescript/out/features/ImplementationProvider.js.map
